Index: backend/commands/view.c
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/backend/commands/view.c,v
retrieving revision 1.45
diff -c -r1.45 view.c
*** backend/commands/view.c	2000/07/04 06:11:30	1.45
--- backend/commands/view.c	2000/08/22 20:56:09
***************
*** 118,124 ****
  	char	   *buf;
  
  	buf = palloc(strlen(viewName) + 5);
! 	snprintf(buf, strlen(viewName) + 5, "_RET%s", viewName);
  
  	return buf;
  }
--- 118,124 ----
  	char	   *buf;
  
  	buf = palloc(strlen(viewName) + 5);
! 	snprintf(buf, NAMEDATALEN, "_RET%s", viewName);
  
  	return buf;
  }
Index: backend/rewrite/rewriteDefine.c
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/backend/rewrite/rewriteDefine.c,v
retrieving revision 1.49
diff -c -r1.49 rewriteDefine.c
*** backend/rewrite/rewriteDefine.c	2000/07/30 22:13:51	1.49
--- backend/rewrite/rewriteDefine.c	2000/08/22 20:56:10
***************
*** 305,311 ****
  		/*
  		 * ... and finally the rule must be named _RETviewname.
  		 */
! 		sprintf(expected_name, "_RET%s", event_obj->relname);
  		if (strcmp(expected_name, stmt->rulename) != 0)
  		{
  			elog(ERROR, "view rule for %s must be named %s",
--- 305,311 ----
  		/*
  		 * ... and finally the rule must be named _RETviewname.
  		 */
! 		snprintf(expected_name, NAMEDATALEN, "_RET%s", event_obj->relname);
  		if (strcmp(expected_name, stmt->rulename) != 0)
  		{
  			elog(ERROR, "view rule for %s must be named %s",
Index: backend/utils/adt/ruleutils.c
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/backend/utils/adt/ruleutils.c,v
retrieving revision 1.59
diff -c -r1.59 ruleutils.c
*** backend/utils/adt/ruleutils.c	2000/08/12 04:04:53	1.59
--- backend/utils/adt/ruleutils.c	2000/08/22 20:56:11
***************
*** 274,281 ****
  	 * Get the pg_rewrite tuple for this rule
  	 * ----------
  	 */
! 	sprintf(name1, "_RET%s", rulename);
! 	sprintf(name2, "_ret%s", rulename);
  	args[0] = PointerGetDatum(name1);
  	args[1] = PointerGetDatum(name2);
  	nulls[0] = ' ';
--- 274,281 ----
  	 * Get the pg_rewrite tuple for this rule
  	 * ----------
  	 */
! 	snprintf(name1, NAMEDATALEN, "_RET%s", rulename);
! 	snprintf(name2, NAMEDATALEN, "_ret%s", rulename);
  	args[0] = PointerGetDatum(name1);
  	args[1] = PointerGetDatum(name2);
  	nulls[0] = ' ';
